```{eval-rst}
.. meta::
   :description: В этом разделе мы рассмотрим задачу численного решения нелинейного уравнения.
   :keywords: нелинейное уравнение, поиск корня, вычислительная математика, вычматы
```

# Нелинейные уравнения

В этом разделе изучается задача поиска корня нелинейного уравнения

```{math}
f(x) = 0.
```

Вычислительный аналог этой задачи мы определим следующим образом.

```{proof:definition} Задача поиска корня нелинейного уравнения

Пусть дана непрерывная функция $f$, и параметры $\text{xtol}$ и $\text{ftol}$. Пусть корень уравнения $f(x) = 0$ единственен и равен $x = x^*$.

Необходимо найти $x = r$ такой, что выполнится либо *гарантия локализации корня*

$$
r: |x^* - r| < \text{xtol},
$$

либо *гарантия малости функции*

$$
r: |f(r)| < \text{ftol}.
$$
```

Первое условие подходит для методов, пользующихся тем, что непрерывная функция, имеющая разные знаки на концах отрезка $f(a) f(b) < 0$ содержит корень $x^* \in [a, b]$.
Второе условие подходит для остальных методов.
Для некоторых методов подходит условие близости последних *приближений* решения.

Для задачи поиска корня можно показать.

```{proof:proposition} Число обусловленности задачи поиска корня

Для дифференцируемой в корне $x^*$ функции $f$ число обусловленности задачи поиска корня $f(x) = 0$ имеет вид {cite}`fnc2017`

$$
\kappa_r = |f'(r)|^{-1}.
$$
```

% todo: добавить пруф формулы из fnc2017
% todo: добавить примеры хорошо и плохо обусловленных корней

Также добавим, что в случае нескольких корней можно сначала найти первый корень $x^*_1$ функции $f$, а затем продолжить поиск других корней, но уже для функции $f(x)/(x-x^*_1)$ {cite}`SamarskiyGulin1989`. Кроме того, существуют процедуры по локализации корней функции, после чего задача сводится к поиску корня на каждом из интервалов по отдельности {cite}`NumRecipes2007`.

