```{eval-rst}
.. meta::
   :description: В этом разделе мы рассмотрим задачу фазового равновесия типа пар-жидкость в изобарно-изотермической постановке.
   :keywords: pt, изобарный, фазовое равновесие, пар, жидкость, смесь, термодинамика, термодинамика смесей
```

# PT расслоение

В этом разделе мы рассмотрим задачу нахождения фазового равновесия в флюиде при заданных давлении $P$ и температуре $T$.
Мы предположим, что химические превращения веществ и поверхностное натяжение между фазами отсутствуют.
Определить фазового равновесие при заданных $P$ и $T$ значит ответить на следующие вопросы.
- Сколько фаз сосуществует в равновесии?
- Сколько вещества содержится в каждой фазе? (Распределение вещества по фазам.)
- В каком количестве присутствуют компоненты в каждой фазе? (Составы фаз.)

Максимальное количество сосуществующих фаз определяется правилом фаз Гиббса.
Для решения задачи существует два подхода, "адаптивных" по числу фаз (т.е. не требующих явного указания числа фаз расчётчиком): в первом подходе число сосуществующих фаз увеличивается, а во втором, наоборот, уменьшается (начиная с максимально возможного).

Мы рассмотрим первый подход как наиболее распространённый.
Идея сводится к следующему.
Предположим, что всего одна фаза существует в равновесии и проверим её термодинамическую стабильность.
Если фаза устойчива, то фазовое равновесие определено.
В противном случае минимизируем энергию Гиббса состояния с двумя сосуществующими фазами.
Проверим стабильность каждой из двух фаз.
Если обе фазы стабильны, то фазовое равновесие определено.
Если хотя бы одна фаза неустойчива, минимизируем энергию Гиббса состояния с тремя сосуществующим фазами...
И так далее, пока число фаз допускается правилом фаз Гиббса.

Мы рассмотрим более простую задачу --- расчёт _двухфазного_ равновесия типа пар-жидкость.
Более сложные равновесия в флюидах включают несколько жидких фаз.

При решении задачи в два этапа, где первый является проверкой стабильности (stability test), второй этап называют _фазовым расслоением_ (phase split).
Полный расчёт фазового равновесия в англоязычной литературе носит название flash расчёта.

```{admonition} Материалы
Подробнее с расчётами фазового равновесия можно ознакомиться в следующих работах.

- Монография А.И. Брусиловского {cite}`Brusilovsky2002`, раздел 5.5;
- Классическая работа М. Микельсена {cite}`Michelsen1982_phase_split`.
```
