```{eval-rst}
.. meta::
   :description: Задания и упражнения на тему проверки устойчивости фазы в изобарно-изотермической постановке.
   :keywords: задание, упражнение, задача, pt, изобарный, фазовое равновесие, пар, жидкость, смесь, термодинамика, термодинамика смесей
```

# Задания


## Проверка стабильности

Ваше задание -- проверка стабильности однофазного состояния в диапазоне заданных переменных.

У задания 4 варианта:

- два варианта по расчёту в $P$-$T$ координатах (давление-температура);
- два варианта по расчёту в $P$-$x$ координатах (давление-состав).


### Варианты

- Вариант PT.a
    + Координаты: давление-температура
    + Смесь: нормальные алканы с метана по гексан и азот (всего 7 компонентов)
    + Состав: `[0.9430, 0.0270, 0.0074, 0.0049, 0.0027, 0.0010, 0.0140]`
    + См. Fig. 2 из Michelsen, M.L., 1982. The isothermal flash problem. Part I. Stability. Fluid Phase Equilibria 9, 1–19. https://doi.org/10.1016/0378-3812(82)85001-2
- Вариант PT.b
    + Координаты: давление-температура
    + Смесь: нормальные алканы с этана по гексан (всего 5 компонентов)
    + Состав: `[0.39842, 0.29313, 0.20006, 0.07143, 0.03696]`
    + См. Fig. 4a из Toro, L.A., 2020. Drawing PT-phase envelopes and calculating critical points for multicomponent systems using flash calculations. Fine Chem. Tech. 15, 46–54. https://doi.org/10.32362/2410-6593-2020-15-1-46-54
- Вариант Px.a
    + Координаты: давление и состав (мольная доля метана)
    + Температура: 294 К
    + Смесь: метан и н-бутан
    + См. Fig. 2 из https://iopscience.iop.org/article/10.1088/1742-6596/946/1/012114
- Вариант Px.b
    + Координаты: давление и состав (мольная доля метана)
    + Температура: 311 К
    + Смесь: метан и н-пентан
    + См. Fig. 3 из https://iopscience.iop.org/article/10.1088/1742-6596/946/1/012114


### Что нужно сделать

Разбейтесь на пары и выберете один из вариантов. Одинаковые варианты задания брать нельзя.

Для выполнения задания необходимо

1. Написать скрипт на Julia, совершающий расчёты в диапазонах переменных в соответствии с выбранным вариантом задания. Скрипт должен выводить данные в табличном виде (.tsv) в файл или на печать.
2. Построение графиков (если пользуетесь языком программирования для построения, это должен быть отдельный скрипт). По данным из файла построить диаграмму стабильности в ваших координатах
    - По оси X: температура или мольная доля компонента (зависит от варианта);
    - По оси Y: давление;
    - Точки красного цвета: расчёт завершился с ошибкой;
    - Точки второго цвета: расчёт показывает стабильное состояние;
    - Точки третьего цвета: расчёт показывает нестабильное состояние.
3. Попробовать определить положение критической точки по данным расчёта. Если положение критической точки удалось определить, нанесите критическую точку на диаграмму стабильности.


### Вам также понадобится

- Julia-пакет, который мы разбирали на занятиях;
- Критические точки веществ: http://imartinez.etsiae.upm.es/~isidoro/dat1/eGAS.pdf;
- Параметры УрС Ван дер Ваальса веществ: https://en.wikipedia.org/wiki/Van_der_Waals_constants_(data_page).
