```{eval-rst}
.. meta::
   :description: В этом разделе мы рассмотрим задачу проверки термодинамической устойчивости фазы в изобарно-изотермической постановке.
   :keywords: устойчивость, pt, изобарный, фазовое равновесие, пар, жидкость, смесь, термодинамика, термодинамика смесей
```

# PT стабильность

Стандартный расчёт двухфазного фазового равновесия в флюидах проводится в два этапа.
На первом этапе проверяется стабильность однофазного состояния.
Если проверка показывает, что однофазное состояние не термодинамически равновесно, то производится второй этап --- фазовое расслоение.

В этом разделе изложена постановка и решение задачи проверки термодинамической устойчивости (стабильности) однофазного состояния смеси веществ в изобарно-изотермических (PT) условиях.
Проверка позволяет узнать, является ли однофазное состояние смеси равновесным или же в равновесии система состоит из более чем одной фазы.

Решение задачи проверки стабильности позволяет получить характеристики фазового перехода типа флюид-флюид:

- бинодаль,
- спинодаль,
- положение критической точки.

PT расчёт двухфазного равновесия может проводиться и без проверки стабильности.
Однако, в многофазных расчётах проверка может использоваться, чтобы определить термодинамически равновесное число фаз.

Побочным результатом проверки стабильности является состав фазы-зародыша (капли, пузырька).
Этот состав может быть использован для построения начального приближения для фазового расслоения.

```{tip}
Основной материал построен на работах М. Микельсена {cite}`michelsen_1982_stability` и А. Брусиловского {cite}`Brusilovsky2002`.
```

```{admonition} Благодарность
:class: thanks

Авторы благодарят за помощь в подготовке раздела студентов 4-го курса ФЭФМ МФТИ (2022 год)

- Камиля Гарифуллина
- Викторию Зинькович
- Константина Кравцова
- Кирилла Юшина
```
