```{eval-rst}
.. meta::
   :description: Алгоритмы решения линейных систем уравнений.
   :keywords: вычислительная математика, вычматы, система линейных уравнений
```

# Линейные системы уравнений

В этом разделе рассматривается решение линейной системы уравнений 

```{math}
\mathbf{A}\mathbf{x}=\mathbf{b},
```

которая в явном виде представляет собой

```{math}
\begin{split}
  A_{11} x_1 + A_{12} x_2 + \cdots + A_{1n} x_n &= b_1 \\
  A_{21} x_1 + A_{22} x_2 + \cdots + A_{2n} x_n &= b_2 \\
  \vdots  \\
  A_{n1} x_1 + A_{n2} x_2 + \cdots + A_{nn} x_n &= b_n.
\end{split}
```

В курсе линейно алгебры решение системы записывается в виде

```{math}
\mathbf{x} = \mathbf{A}^{-1} \mathbf{b},
```

если обратная матрица $\mathbf{A}^{-1}$ существует.

Так, задачу решения линейной системы можно свести к нахождению обратной матрицы системы. Однако, существуют более эффективные способы, о которых и пойдёт речь в данном разделе.

```{note}
Для примеров данного раздела требуется подключение стандартной библиотеки `LinearAlgebra`.
Для этого в начале файла с исходным кодом или в REPL напишите строчку.

:::julia
using LinearAlgebra
:::
```
