```{eval-rst}
.. meta::
   :description: Задачи и упражения на тему для решения нелинейной системы уравнений.
   :keywords: задание, задача, упражение, нелинейное уравнение, система нелинейных уравнений, снау, вычислительная математика, вычматы
```

# Задания

## Фазовое равновесие уравнения ван дер Ваальса

В этом задании вам необходимо найти двухфазное равновесие вещества, описываемое уравнением ван дер Ваальса. В отличие от {numref}`Задания %s <ex_vdw_binodal_lekner>`, расчёт производится из первых принципов.

Фазовое равновесие определяется минимумом потенциала Гельмгольца. Воспользуемся *необходимыми* (но не достаточными) условиями минимума: равенством давлений $P_r$ и химических потенциалов $\mu$

```{math}
:label: sysnonlinear_task_vdw_equilibrium

\begin{split}
P_r(V_G, T_r) &= P_r(V_L, T_r),\\
\mu(V_G, T_r) &= \mu(V_L, T_r),
\end{split}
```

где $V_G$ и $V_L$ приведённые объёмы, определённые в {numref}`Задании %s <ex_vdw_binodal_lekner>`. Таким образом, система {eq}`sysnonlinear_task_vdw_equilibrium` может быть решена относительно $V_G$ и $V_L$ для заданной температуры $T_r$.

Приведём явный вид уравнения ван дер Ваальса

```{math}
P_r(V_r, T_r) = \frac{8 T_r}{3 V_r - 1} - \frac{3}{V_r^2}.
```

И его химического потенциала (который выводится из энергии Гельмгольца {cite}`Johnston2014`)

```{math}
\mu(V_r, T_r) = - T_r \ln{\bigg[\frac{3V_r - 1}{2e^{-1/2}}\bigg]} + \frac{T_r}{3V_r - 1} - \frac{9}{4V_r}.
```

Поскольку давление и химический потенциал нелинейны относительно объёма, то и система {eq}`sysnonlinear_task_vdw_equilibrium` в случае уравнения ван дер Ваальса нелинейна.

**Задание**. Найдите точки фазового равновесия $(P, V_G, T_r)$ и $(P, V_L, T_r)$ для нескольких температур $T_r$ из диапазона $T_r \in [0.85, 0.99]$. Нанесите эти точки на $PV$-диаграмму  вместе с соответствующими изотермами. Вы должны получить график, похожий на {numref}`Рисунок %s <fig_task_vdw_equilibrium>`, приведённый ниже.

(fig_task_vdw_equilibrium)=
```{figure} vdw_equilibrium_answer.svg
---
height: 480px
---
Уравнение ван дер Ваальса. Пунктирными линиями показаны изотермы для ряда температур.
Красные точки $(V_L, P)$ соответствуют подсчитанным границам равновесия жидкость-двухфазное состояние для тех же температур, при которых нанесены изотермы. Синие точки $(V_G, P)$ аналогичны красным, но показывают границу равновесия двухфазное-газовое состояние.
```
