```{eval-rst}
.. meta::
   :description: В этом разделе мы рассмотрим задачу решения нелинейной системы уравнений и некоторые методы её решения.
   :keywords: нелинейное уравнение, система нелинейных уравнений, снау, вычислительная математика, вычматы
```

# Нелинейные системы уравнений

В данном разделе мы рассмотрим методы решения нелинейных систем уравнений

```{math}
\begin{split}
f_1(x_1, x_2, \ldots, x_n) &= 0,\\
f_2(x_1, x_2, \ldots, x_n) &= 0,\\
\vdots\\
f_n(x_1, x_2, \ldots, x_n) &= 0.
\end{split}
```

Для краткости, мы будем записывать нелинейные системы в виде

```{math}
:label: sysnonlinear

\mathbf{f}(\mathbf{x}) = \mathbf{0},
```

где $\mathbf{x} = [x_1, \dots, x_n]^\top$, $\mathbf{0} = [0, \dots, 0]^\top$ (вектор из $n$ нулей), а функция имеет вид $\mathbf{f}:\ \real^n \to \real^n$, т.е. число уравнений совпадает с числом неизвестных.

Отметим, что у нелинейной системы {eq}`sysnonlinear` может быть несколько решений, а может ни быть ни одного ({numref}`Рисунок %s <fig:sysnonlinear:linvsnonlin>`).
В общем случае заранее узнать количество решений в нелинейной системе невозможно, в отличие от линейной $\mathbf{f}(\mathbf{x}) = \mathbf{A}\mathbf{x} - \mathbf{b} = \mathbf{0}$.
По этой причине не существует общего метода решения нелинейных систем, а анализ количества решений возможен лишь в частных случаях.

```{figure} static/linear-vs-nonlinear.svg
---
name: fig:sysnonlinear:linvsnonlin
width: 640px
---

К неизвестности количества решений в нелинейных системах.
Показан случай двух уравнений $f_1(x_1, x_2) = 0$ и $f_2(x_1, x_2) = 0$.
Для линейной системы уравнений (a, b) можно заранее определить число решений: ни одного, одно или бесконечно много (совпадающие прямые).
Для нелинейной системы (c, d, e) число решений в общем случае заранее узнать нельзя.
```
